name: Agarica
description: An Octavia-based subtheme.
type: theme
base theme: octavia
package: Custom
core_version_requirement: ^8 || ^9 || ^10 || ^11

regions:
  header: 'Header'
  navbar_branding: 'Branding'
  header_search: 'Search'
  header_tabs: 'Tabs'
  primary_menu: 'Primary menu'
  secondary_menu: 'Secondary menu'
  highlighted: 'Highlighted'
  help: 'Help'
  content: 'Content'
  content_bottom: 'Content bottom'
  sidebar_first: 'Sidebar'
  tile_one: 'Tile 1'
  tile_two: 'Tile 2'
  tile_three: 'Tile 3'
  tile_four: 'Tile 4'
  tile_five: 'Tile 5'
  bottom: 'Bottom'
  footer: 'Footer'

libraries:
  - agarica/global
  - agarica/prism

# This section is used by the contrib module, Component Libraries. It allows you
# to reference .twig files in your sass/ directory by using the Twig namespace:
# @agarica
# See https://www.drupal.org/project/components for more information.
components:
  namespaces:
    agaric:
      - patternlibrary/agaric/templates
#  agaric-com:
#    paths:
#      - patternlibrary/agaric-com/templates

libraries-override:
  bulma/global:
    css:
      base:
        /themes/contrib/octavia/dist/css/modified-bulma.css: patternlibrary/agaric/css/agaric.css

